<?php
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\WebUser\WebHomeController;
use App\Http\Controllers\WebUser\WebUserController;
use App\Http\Controllers\WebUser\ProfileController;
use App\Http\Controllers\WebUser\WebExamController;



//To get all the auth routes list of web user...
Route::middleware(['guest:webuser'])->prefix('webuser')->group(function () {
  Route::get('home',    [WebUserController::class, 'webUserRegisterPage'])->name('homepage');
});

//To get all the routes list of web user...
Route::middleware(['auth:webuser'])->prefix('webuser')->group(function () {
    Route::get('dashboard', [WebUserController::class, 'userDashboard'])->name('dashboard');
    Route::get('logout',      [WebUserController::class, 'webUserLogout'])->name('logout');
});